Bug 117901 - service postgresql stop or restart does not work
Summary: service postgresql stop or restart does not work
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: postgresql   
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: SELinux
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-03-09 20:08 UTC by Bill Peck
Modified: 2013-07-03 03:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-10 21:59:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Peck 2004-03-09 20:08:02 UTC
Description of problem:
The commented line is the original and the one that works is added
after.  Basicly we need the </dev/null to keep su from asking if you
want to switch to another context. 

#su -l postgres -c "/usr/bin/pg_ctl stop -D $PGDATA -s -m fast" >
/dev/null 2>&1
su -l postgres -c "/usr/bin/pg_ctl stop -D $PGDATA -s -m fast"
</dev/null > /dev/null 2>&1


Version-Release number of selected component (if applicable):
postgresql-7.4.1-1

How reproducible:
everytime

Steps to Reproduce:
1. start postgresql service
2. issue /sbin/service postgresql stop or restart
3. you will sit here forever. :-)
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom Lane 2004-03-10 21:59:06 UTC
Fix pushed out in 7.4.2-1.

Comment 2 Uno Engborg 2004-08-02 21:58:21 UTC
The postgres initscript still fails on 7.4.2-1 if SELinux is turned on.


Note You need to log in before you can comment on or make changes to this bug.